Scheduled Upgrade: Moodle v2.7

upMoodle, our eLearning platform will be upgraded to version 2.7 over the semester break. There will be a 2 hour long maintenance window to perform the upgrade during which Moodle will be unavailable.

Timings

Date: Wednesday, 25th June, 2014
Time: 9.30pm – 11.30pm

Browser Support

With this upgrade, the Moodle will only support the minimum browser versions stated below. Nevertheless, it is recommended to use to latest version in all cases:

BrowserMinimum versionRecommended versionRemarks
Google Chrome30.0Latest
Mozilla Firefox25.0Latest
Internet Explorer9LatestVersion 10 is required for drag-and-drop upload of content from outside the browser into Moodle
Apple Safari6Latest

For detailed information, please refer to the Moodle v2.7 Release Notes.

We apologize for any inconveniences caused due to the downtime.

Sourjya Sankar Sen

Director, IT

Comments are closed